#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	XML 1.0 parser
Summary(es.UTF-8):	Parser de XML 1.0
Summary(pl.UTF-8):	Analizator składni XML-a 1.0
Summary(pt_BR.UTF-8):	Biblioteca XML expat
Summary(ru.UTF-8):	Переносимая библиотека разбора XML (expat)
Summary(uk.UTF-8):	Переносима бібліотека розбору XML (expat)
Name:		expat
Version:	2.1.0
Release:	1
Epoch:		1
License:	Thai Open Source Software Center Ltd (distributable)
Group:		Applications/Publishing/XML
Source0:	http://downloads.sourceforge.net/expat/%{name}-%{version}.tar.gz
# Source0-md5:	dd7dab7a5fea97d2a6a43f511449b7cd
Patch0:		%{name}-ac_fixes.patch
Patch3:		%{name}-2.0.1-check_stopped_parser.patch
URL:		http://www.libexpat.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libtool
Obsoletes:	libexpat1_95
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Expat is an XML parser written in C. It aims to be fully conforming.
It is currently not a validating XML parser.

%description -l es.UTF-8
Expat es un parser de XML escrito en C. Pretende conformarse
totalmente al estándar. Actualmente no es un parser XML validante.

%description -l pl.UTF-8
Expat to napisany w języku C analizator składni XML-a. Dąży do pełnej
zgodności ze specyfikacją. Aktualnie nie jest analizatorem, który
potwiedzał by zgodność ze specyfikacją.

%description -l pt_BR.UTF-8
Esta é a biblioteca, em C, XML expat, de James Clark. É um analisador
orientado a fluxo de informações que pede o uso de handlers para lidar
com a estrutura que o analisador encontrar no documento.

%description -l ru.UTF-8
Expat -- парсер XML 1.0, написанный на C. Он предназначен для того,
чтобы быть полностью совместимым. В настоящее время это не проверяющий
("not a validating") XML парсер.

%description -l uk.UTF-8
Expat -- парсер XML 1.0, написаний на C. Розрахований на те, щоб бути
повністю сумісним. Наразі це не перевіряючий ("not a validating") XML
парсер.

%package devel
Summary:	Expat header files
Summary(es.UTF-8):	Archivos de inclusión del expat
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki expat
Summary(pt_BR.UTF-8):	Arquivos de inclusão do expat
Summary(ru.UTF-8):	Хедеры и библиотека, необходимые для программирования с expat
Summary(uk.UTF-8):	Хедери та бібліотека, необхідні для програмування з expat
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libexpat1_95-devel

%description devel
Expat header files.

%description devel -l es.UTF-8
Archivos de inclusión del expat.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki expat.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão do expat.

%description devel -l ru.UTF-8
Этот пакет содержит хедеры и библиотеки, необходимые для написания
программ, использующих libexpat.

%description devel -l uk.UTF-8
Цей пакет містить хедери та бібліотеки, необхідні для написання
програм, що використовують libexpat.

%package static
Summary:	Expat static library
Summary(es.UTF-8):	Biblioteca estática de expat
Summary(pl.UTF-8):	Biblioteka statyczna expat
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com a biblioteca expat
Summary(ru.UTF-8):	Статическая библиотека для программирования с libexpat
Summary(uk.UTF-8):	Статична бібліотека для програмування з libexpat
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description static
Expat static library.

%description static -l es.UTF-8
Biblioteca estática de expat.

%description static -l pl.UTF-8
Biblioteka statyczna expat.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com a biblioteca expat.

%description static -l ru.UTF-8
Этот пакет содержит статическую библиотеку, необходимую для написания
программ, использующих libexpat.

%description static -l uk.UTF-8
Цей пакет містить статичну бібліотеку, необхідну для написання
програм, що використовують libexpat.

%prep
%setup -q
%patch0 -p1
%patch3 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_aclocaldir}
cp -p conftools/expat.m4 $RPM_BUILD_ROOT%{_aclocaldir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING Changes README
%attr(755,root,root) %{_bindir}/xmlwf
%attr(755,root,root) %{_libdir}/libexpat.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexpat.so.1
%{_mandir}/man1/xmlwf.1*

%files devel
%defattr(644,root,root,755)
%doc doc/{reference.html,style.css,*.png}
%attr(755,root,root) %{_libdir}/libexpat.so
%{_libdir}/libexpat.la
%{_includedir}/expat*.h
%{_aclocaldir}/expat.m4
%{_pkgconfigdir}/expat.pc
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libexpat.a
%endif
%changelog
* Sun Nov 11 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/expat.git;a=log;h=master

* Sat Jul 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 996609b
- release 1
- note that 2.1.0 fixes CVE-2012-0876 CVE-2012-1147 CVE-2012-1148
  and old ones: CVE-2009-3270 CVE-2009-3560

* Sat Jul 28 2012 Elan Ruusamäe <glen@delfi.ee> c645eb5
up to 2.1.0

* Sat Dec 03 2011 Elan Ruusamäe <glen@pld-linux.org> ab7ec1b
- package soname ghost

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 0259ce2
- dropped pre-cvs changelog

* Thu Aug 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8aca22d
- rel 4; security fixes

* Mon Aug 25 2008 witekfl <witekfl@pld-linux.org> 16ab3ef
- added images and examples to devel
- rel 3

* Mon Jun 09 2008 Elan Ruusamäe <glen@pld-linux.org> 5ffff08
- release 2

* Mon Aug 20 2007 witekfl <witekfl@pld-linux.org> b30e6b9
- added bcond_without static_libs

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 6086ba3
- updated to 2.0.1
- updated URL
- provide libexpat.so.1 symlink and Provides for compatibility

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> acdce91
- updated for 2.0.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 88b859f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0611151
- converted to UTF-8

* Tue Nov 21 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 309719a
- release 3 (rebuild with P: *.la)

* Thu Apr 20 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 697d589
- rel 2

* Tue Apr 18 2006 Jakub Bogusz <qboosh@pld-linux.org> abba332
- added soname patch (try to use old soname)

* Tue Apr 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 8d953cb
- let's decide: .so.0.6.0 or .so.1.0.0 (i.e. 6:0:6 or 6:0:0)?
  try 6:0:6 as I don't see significant ABI changes

* Tue Apr 18 2006 Jakub Bogusz <qboosh@pld-linux.org> ab1f7ec
- added missing patch1

* Tue Apr 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 5c53c62
- replaced external expat.m4 by file from package + am18 patch
- more verbose files

* Tue Apr 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 087da7a
- fix underquotation

* Tue Apr 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 598f3f3
- replaced by file from package + patch

